class Constants

    attr_accessor :BASE_URL
    attr_accessor :BASE_URL_FOR_ACCOUNTS
    attr_accessor :COMMON_EMAIL
    attr_accessor :COMMON_PASSWORD
    
    def initialize
        account_conf = ParseConfig.new("#{__dir__}/../test-data/credentials/test_credentials.conf")
        conf_data = account_conf.params

        @BASE_URL_FOR_ACCOUNTS = $conf["base_urls"]
        @PARALLEL_TESTS = $conf["parallel_process"]
        if $conf["base_urls"] != nil
            if @PARALLEL_TESTS != nil
                @BASE_URL = @BASE_URL_FOR_ACCOUNTS[0]
            else
                @BASE_URL = $conf["mode"] == 'parallel' ? @BASE_URL_FOR_ACCOUNTS[ENV[:TEST_ENV_NUMBER.to_s].to_i - 1] : @BASE_URL_FOR_ACCOUNTS[0]
            end
        end

        @COMMON_EMAIL = conf_data["common_email"]
        @COMMON_PASSWORD = conf_data["common_password"]
    end
end