module Pages
  class TestPage < Locators::TestPage

    def initialize(driver)
      super()
      @driver = driver
    end

    def login(email, password, base_url = nil)
      $focus_driver = @driver

      #To navigate to the given url,
      # @driver.get(base_url) 

      # Normal locators has to be used with the @
      @LOGIN_LINK.is_present?

      #Dynamic locators has to be declared without @
      LOGIN_DYNAMIC("Login").is_present?

      # Conditions can be used for a locator
      if @EMAIL_TEXTBOX.is_present?
        @EMAIL_TEXTBOX.clear_and_send_keys(email)
        @PASSWORD_TEXTBOX.clear_and_send_keys(password)
        @LOGIN_BUTTON.click
      end
      
    end

  end
end
