# -*- encoding: utf-8 -*-
# stub: robotest 1.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "robotest".freeze
  s.version = "1.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "source_code_uri" => "https://github.com/nareshnavinash/robotest" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Naresh Sekar".freeze]
  s.date = "2019-01-10"
  s.description = "Framework for Selenium with rspec, parallel_tests and allure in Page Object Model (POM)".freeze
  s.email = "nareshnavinash@gmail.com".freeze
  s.executables = ["robotest".freeze]
  s.files = ["bin/robotest".freeze]
  s.homepage = "https://nareshnavinashhelp.freshdesk.com".freeze
  s.licenses = ["GPL-3.0".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Web browser Automation Framework using selenium, Rspec, parallel_tests and allure".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<selenium-webdriver>.freeze, ["= 3.12.0"])
    s.add_runtime_dependency(%q<rspec>.freeze, ["= 3.7.0"])
    s.add_runtime_dependency(%q<parallel_tests>.freeze, ["= 2.21.0"])
    s.add_runtime_dependency(%q<parseconfig>.freeze, ["= 1.0.8"])
    s.add_runtime_dependency(%q<allure-rspec>.freeze, ["= 0.8.0"])
    s.add_runtime_dependency(%q<require_all>.freeze, ["~> 1.4", ">= 1.4.0"])
    s.add_runtime_dependency(%q<fuubar>.freeze, ["~> 2.2", ">= 2.2.0"])
    s.add_runtime_dependency(%q<rspec_junit_formatter>.freeze, ["~> 0.3.0"])
    s.add_runtime_dependency(%q<headless>.freeze, ["~> 2.3", ">= 2.3.1"])
    s.add_runtime_dependency(%q<os>.freeze, ["~> 0.9.6"])
    s.add_runtime_dependency(%q<pry>.freeze, ["~> 0.11.1"])
    s.add_runtime_dependency(%q<progress_bar>.freeze, ["= 1.2.0"])
    s.add_runtime_dependency(%q<yaml_extend>.freeze, ["~> 0.2.0"])
  else
    s.add_dependency(%q<selenium-webdriver>.freeze, ["= 3.12.0"])
    s.add_dependency(%q<rspec>.freeze, ["= 3.7.0"])
    s.add_dependency(%q<parallel_tests>.freeze, ["= 2.21.0"])
    s.add_dependency(%q<parseconfig>.freeze, ["= 1.0.8"])
    s.add_dependency(%q<allure-rspec>.freeze, ["= 0.8.0"])
    s.add_dependency(%q<require_all>.freeze, ["~> 1.4", ">= 1.4.0"])
    s.add_dependency(%q<fuubar>.freeze, ["~> 2.2", ">= 2.2.0"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, ["~> 0.3.0"])
    s.add_dependency(%q<headless>.freeze, ["~> 2.3", ">= 2.3.1"])
    s.add_dependency(%q<os>.freeze, ["~> 0.9.6"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.11.1"])
    s.add_dependency(%q<progress_bar>.freeze, ["= 1.2.0"])
    s.add_dependency(%q<yaml_extend>.freeze, ["~> 0.2.0"])
  end
end
